Get Started with eWallet

  • Welcome
  • Get Started
  • Security
  • Customize
  • Synchronization
  • More...
  • Support
  • What’s New
eWallet showing Visa card

Welcome to eWallet

Welcome to eWallet® – the premier secure information manager for Windows PC, Mac OS X, Android, iPhone, iPad, iPod touch, Windows Mobile and BlackBerry. With eWallet, you can:

  • Know that your personal information is safe and secure!
  • Have your important information at your fingertips all the time!
  • Never forget another password!
  • Store everything from clothing sizes to credit card information!

Click the tabs above to find out more!


  • Customize
  • Synchronization
  • More...
  • Support
  • What’s New
  • « Prev |
  • Next »
eWallet card types

Choose a Card Type

Pick the New Card button or menu pick to make a new card. Then choose how you want your info to display by selecting one of eWallet’s 31 pre-made card types (templates). The type of card you pick controls how your information looks on the card.


  • Support
  • What’s New
  • « Prev |
  • Next »
eWallet card types

Choose Card Attributes

Create attractive, personalized cards by changing the card color, border, icon, display style, card background, and more!

Using different icons makes it easy to find the card you’re looking for. Choose a particular icon for a certain type of card, or assign a different icon to each card. The card’s icon will show up in the list of cards and the category window. Then choose to display the icon on the card itself.

You can also add your own custom icons.


  • Next»
eWallet card types

Customize the Fields

Further customize your cards so that they’re tailored to the information you want to store. Rename any of the field labels to create exactly the type of card you need.

You can also change the field type of any card field. Want to have some extra hidden fields? Need to add a phone number, change plain text into a website link, or put it in date format? It's all available to help you create the perfect card to suit your needs.

Plus, you can save any card as a custom template and have it available each time you go to create a new card.


eWallet showing Visa card

Wallets

eWallet stores your information in a file called a wallet.

Categories

Use categories to organize the cards that you store in eWallet. Create categories for cards relating to work or home. Make a category just for your passwords or credit cards. Organize your information in the way that works best for you!

Cards

Use cards to store the different bits of information that you want to secure in eWallet.


  • Next »

Live Fields

Jump to websites or dial phone numbers with a simple tap. eWallet doesn’t just store your info - it makes it live!

Live URLs and phone numbers

AutoPass

No more typing passwords! AutoPass can automatically bring up the web page and safely enter your username and password for you (using Internet Explorer, Firefox, or Chrome).

Live URLs and phone numbers

Smart Copy

Quickly grab information for use on forms, web pages, and more. eWallet lets you copy specific bits of info right from the card face. Easily - and safely - get your info into a web page or another program.

sync with multiple devices


  • Next»

Password Generator

PassBuilder - eWallet’s built-in password generator lets you easily generate safe, unique passwords.

Built-in Password Generator

Import Wizard

It’s easy to get info from other programs into eWallet. Just use the built-in Import Wizard and move your information to eWallet with only a few clicks.

Free Card Importer


  • Next »
Enter a password

Passwords

By setting a password for your wallet file, you ensure that only you have access to the data it contains. If you’re concerned about forgetting your password, eWallet lets you add a hint to help remind you what the password is.


  • Next»
Extra security options

Extra Security

Further protect your wallet with eWallet’s additional security options. You can set your wallet to lock automatically if it isn’t used for a set amount of time. You can also have your wallet disallow access for a period of time if someone tries to open it repeatedly with the wrong password.

If you’re using a particular wallet file for information that’s not secure (pictures or other non-confidential information for example), you can choose to not use a password for that wallet. Be sure you only pick this option if you’re using a wallet for information that’s not confidential or that you don’t need to protect.


  • Next »

Help and Documentation

The eWallet Tutorials help you get started with step-by-step walkthroughs. You can find the tutorials in the Help Center in eWallet on your Windows PC.

Plus, you never have to wonder how to get things done thanks to eWallet’s complete documentation. It’s right in eWallet and also available as a downloadable PDF file. We make it easy to find the info you need.


  • Next»


  • Next »
eWallet’s easy synchronization setup

Easy Setup

Set up synchronization in just a few clicks with eWallet’s Synchronization Setup. Just pick the device and the direction you want the data to go. eWallet does the rest.


  • Next »
sync with multiple devices

Sync with Multiple Devices and PCs

Keep your info up-to-date on every device and PC you use. And now you can use eWallet for your company or department information, with easy synchronization to your server. Mobile devices, PCs and servers: there are no limits to the number of systems and devices eWallet lets you synchronize with.


  • Next»
sync with remote locations

Remote Storage and Sync

Now, no matter where you are, you can always get to your eWallet info, and you don’t need a lot of technical know-how to make it happen.

You can set up eWallet to synchronize with remote computers and other computers on the same network. So you'll be able to sync your laptop with your desktop, and keep them both up-to-date.

Or Use Your Own Servers: If you have your own remote storage services, eWallet’s FTP and SFTP sync let you store, see and sync your eWallet info there as well. Great for backups and as a way to keep your staff on the road up-to-date!


New in eWallet 7

  • AutoPass now works with Firefox and Chrome on Windows PC and Mac
  • Android and iPhone: your customizations (background images, scanned cards) sync from your Windows PC along with your info!
  • A Recent Card list in eWallet for Windows
  • PC version syncs with optional Androiod and iOS versions (local WiFi)

  • A brand-new interface for the Windows version; plus, choose from a variety of styles, color schemes and background options to create a unique look
  • Global properties on the desktop: set the same card colors, borders, and more for every card
  • Optional alternate row shading for Flex View in the Windows version
  • Faster search in eWallet for Windows that displays results as you type